org.richfaces.component

## Class ComponentIterators

- java.lang.Object
- - org.richfaces.component.ComponentIterators

-     public final class ComponentIterators
      extends Object

  Author:
    Nick Belaevski

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends javax.faces.component.UIComponent> T` | `getParent(javax.faces.component.UIComponent component, Class<T> parentClass)` Finds a parent of given UI `component`.
    `static javax.faces.component.UIComponent` | `getParent(javax.faces.component.UIComponent component, com.google.common.base.Predicate<javax.faces.component.UIComponent> predicat)`
    `static Iterator<javax.faces.component.UIComponent>` | `parents(javax.faces.component.UIComponent component)`
    `static Iterator<javax.faces.component.UIComponent>` | `parentsAndSelf(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parents

          public static Iterator<javax.faces.component.UIComponent> parents(javax.faces.component.UIComponent component)

    - #### parentsAndSelf

          public static Iterator<javax.faces.component.UIComponent> parentsAndSelf(javax.faces.component.UIComponent component)

    - #### getParent

          public static javax.faces.component.UIComponent getParent(javax.faces.component.UIComponent component,
                                                                    com.google.common.base.Predicate<javax.faces.component.UIComponent> predicat)

    - #### getParent

          public static <T extends javax.faces.component.UIComponent> T getParent(javax.faces.component.UIComponent component,
                                                                                  Class<T> parentClass)

      Finds a parent of given UI `component`.
      Parameters:
        `component` - `UIComponent`
        `parentClass` - `Class` of desired parent
      Returns:
        `UIComponent`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.